package com.capgemini.reports.definition.r07report.data.filter.comparators.part;

import com.capgemini.reports.bomlineholder.BOMLineHolder;

/**
 * Compares two PartNoAeros' {@link BOMLineHolder}s.
 */
public class PartNoAeroBLComparator extends PartBLComparator {
    private static final long serialVersionUID = 5954871414512808855L;

    @Override
    public int compare(final BOMLineHolder thisPartBL, final BOMLineHolder otherPartBL) {
        int cmp = super.compare(thisPartBL, otherPartBL);
        if (cmp != 0) {
            return cmp;
        }
        return new PartNoAeroComparator().compare(thisPartBL.getSnecmaObject(), otherPartBL.getSnecmaObject());
    }

}
